## ocaml-omd 1.0.2

=== Makefile ===
PKGNAME = $(shell oasis query name)
PKGVERSION = $(shell oasis query version)
PKG_TARBALL = $(PKGNAME)-$(PKGVERSION).tar.gz

DISTFILES = README.md _oasis setup.ml Makefile \
  $(wildcard $(addprefix src/, *.ml *.mli *.mllib *.mlpack *.ab))

PREFIX = $(shell opam config var prefix)
ifneq ($(PREFIX),)
PREFIX_FLAG = --prefix $(PREFIX)
endif

.PHONY: all byte native doc install uninstall reinstall test

all byte native setup.log: configure
	ocaml setup.ml -build

configure: setup.data
setup.data: setup.ml
	ocaml $< -configure --enable-tests $(PREFIX_FLAG)

setup.ml: _oasis
	oasis setup -setup-update dynamic
	touch $@

doc install uninstall reinstall test: setup.log
	ocaml setup.ml -$@


# Make a tarball
.PHONY: dist tar
dist tar: $(DISTFILES)
	mkdir $(PKGNAME)-$(PKGVERSION)
	cp --parents -r $(DISTFILES) $(PKGNAME)-$(PKGVERSION)/
#	setup.ml independent of oasis:
#	and remove test_cow!
	test "$(wc -l < _oasis)" == 42 ; echo $?
	head -n 34 _oasis > $(PKGNAME)-$(PKGVERSION)/_oasis
	sed -e "s/VERSION/$(PKGVERSION) of $$(date -u)/" src/omd_main.ml > $(PKGNAME)-$(PKGVERSION)/src/omd_main.ml
	cd $(PKGNAME)-$(PKGVERSION) && oasis setup
	tar -zcvf $(PKG_TARBALL) $(PKGNAME)-$(PKGVERSION)
	$(RM) -rf $(PKGNAME)-$(PKGVERSION)

.PHONY: clean distclean dist-clean
clean:
	ocaml setup.ml -clean
	$(RM) $(PKG_TARBALL)

distclean dist-clean:: clean
	ocaml setup.ml -distclean
	$(RM) $(wildcard *.ba[0-9] *.bak *~ *.odocl)

opam:
	test "$(wc -l < _oasis)" == 42 || (echo $?; exit $?)
	cp _oasis _oasis_orig
	head -n 31 _oasis_orig > _oasis
	oasis2opam http://pw374.github.io/distrib/omd/$(PKGNAME)-$(PKGVERSION).tar.gz
	mv _oasis_orig _oasis
	printf 'tags: [\n  "org:ocamllabs"\n  "org:mirage"\n]\n' >> $(PKGNAME).$(PKGVERSION)/opam

=== src/Makefile ===
OCAMLC = ocamlc.opt bigarray.cma
OCAMLCG = $(OCAMLC) -g
OCAMLOPT = ocamlopt.opt -g bigarray.cmxa

all:
	make cmis
	make omd

cmis:omd_utils.cmi omd_representation.cmi omd_backend.cmi omd_lexer.cmi omd_lexer_fs.cmi omd_parser.cmi omd.cmi omd_main.cmi

omd:omd_utils.cmx omd_representation.cmx omd_backend.cmx omd_lexer.cmx omd_parser.cmx omd.cmx omd_main.cmx
	$(OCAMLOPT) -o $@ $+

omd.byte:omd_utils.cmo omd_representation.cmo omd_backend.cmo omd_lexer.cmo omd_parser.cmo omd.cmo omd_main.cmo
	$(OCAMLCG) -o $@ $+

omd.opt:omd_utils.cmx omd_representation.cmx omd_backend.cmx omd_lexer.cmx omd_parser.cmx omd.cmx omd_main.cmx
	$(OCAMLOPT) -o $@ $+

omd.cma:omd_utils.cmo omd_representation.cmo omd_backend.cmo omd_lexer.cmo omd_parser.cmo omd.cmo
	$(OCAMLCG) -a -o $@ $+

%.cmo:%.ml %.cmi
	$(OCAMLCG) -c $<

%.cmx:%.ml %.cmi
	$(OCAMLOPT) -c $<

%.cmi:%.mli
	$(OCAMLC) -c $<

clean:
	rm -f *.cmx *.cmo *~ *.cmi *.o *.cma md{,.byte,.opt} omd{,.byte,.opt}

omd.cmi:omd_representation.cmi omd_parser.cmi omd_lexer.cmi omd_backend.cmi
omd_backend.cmi:omd_utils.cmi omd_representation.cmi
omd_lexer.cmi:omd_representation.cmi
omd_lexer_fs.cmi:omd_lexer.cmi
omd_main.cmi:omd_utils.cmi omd_parser.cmi omd_backend.cmi omd.cmi
omd_parser.cmi:omd_utils.cmi omd_representation.cmi omd_lexer.cmi omd_backend.cmi
omd_representation.cmi:omd_utils.cmi

include .depend

.depend:omd_utils.ml omd_representation.ml omd_backend.ml omd_lexer.ml omd_parser.ml omd.ml omd_main.ml omd_utils.mli omd_representation.mli omd_backend.mli omd_lexer.mli omd_parser.mli omd.mli omd_main.mli Makefile
	ocamldep omd_utils.ml omd_representation.ml omd_backend.ml omd_lexer.ml omd_parser.ml omd.ml omd_main.ml omd_utils.mli omd_representation.mli omd_backend.mli omd_lexer.mli omd_parser.mli omd.mli omd_main.mli > .depend


test:
	make clean
	cd .. && make test
	make

=== debian/changelog ===
ocaml-omd (1.0.2-1) UNRELEASED; urgency=low

  * Initial package

 -- David Scott <dave.scott@citrix.com>  Thu, 16 Oct 2014 12:00:00 +0000

=== debian/control ===
Source: ocaml-omd
Priority: optional
Maintainer: Euan Harris <euan.harris@citrix.com>
Section: ocaml
Standards-Version: 3.9.3
Build-Depends:
 dh-ocaml (>= 0.9),
 ocaml-nox,
 python,
 debhelper (>= 8),
 ocaml-findlib,
 ocaml-native-compilers

Package: ocaml-omd
Architecture: any
Depends:
 ${ocaml:Depends},
 ${shlibs:Depends},
 ${misc:Depends}
Provides: ${ocaml:Provides}
Recommends: ocaml-findlib
Description: A Markdown frontend in pure OCaml.
 This Markdown library is implemented using only pure OCaml (including
 I/O operations provided by the standard OCaml compiler distribution).
 OMD is meant to be as faithful as possible to the original Markdown.
 Additionally, OMD implements a few Github markdown features, an
 extension mechanism, and a few other features. Note that the opam
 package installs both the OMD library and the command line tool
 `omd`. Note that The library interface of 1.0.x is only partially
 compatible with 0.9.x.

Package: ocaml-omd-dev
Architecture: any
Depends:
 ${ocaml:Depends},
 ${shlibs:Depends},
 ${misc:Depends},
 ocaml-omd (>= 1.0.2-1)
Provides: ${ocaml:Provides}
Recommends: ocaml-findlib
Description: Development files for ocaml-omd
 The ocaml-omd-devel package contains libraries and signature files
 for developing applications that use ocaml-omd.

=== debian/rules ===
#!/usr/bin/make -f

#include /usr/share/cdbs/1/rules/debhelper.mk
#include /usr/share/cdbs/1/class/makefile.mk
#include /usr/share/cdbs/1/rules/ocaml.mk

export DH_VERBOSE=1
export DH_OPTIONS
export DESTDIR=$(CURDIR)/debian/tmp
%:
	dh $@ --with ocaml --with python2

.PHONY: override_dh_auto_configure
override_dh_auto_configure:

.PHONY: override_dh_auto_build
override_dh_auto_build:
	debian/build.sh

.PHONY: override_dh_auto_install
override_dh_auto_install:
	debian/install.sh

.PHONY: override_dh_install
override_dh_install:
	dh_install
	rm -f debian/ocaml-omd/usr/lib/ocaml/omd/*.a
	rm -f debian/ocaml-omd/usr/lib/ocaml/omd/*.cmxa
	rm -f debian/ocaml-omd/usr/lib/ocaml/omd/*.cmx
	rm -f debian/ocaml-omd/usr/lib/ocaml/omd/*.mli

.PHONY: override_dh_auto_clean
override_dh_auto_clean:
	debian/clean.sh
	/bin/rm -rf ${DESTDIR}

.PHONY: override_dh_auto_test
override_dh_auto_test:
